/* About Us Page Slider*/
.nds-history .swiper-pagination-bullets {
    display: flex;
    justify-content: center;
    gap: 0.2rem;
    border-top: 3px solid var(--color-white);

    @media (width >=600px) {
        gap: 1.2rem;
    }

    @media (width >=1024px) {
        gap: 1rem;
    }

    @media (width >=1560px) {
        gap: 2.65rem;
    }
}

.nds-history .swiper-pagination-bullet {
    width: auto;
    height: 40px;
    background: none;
    color: var(--color-white);
    font-size: 0;
    text-align: center;
    opacity: 1;
    z-index: 1;

    @media (width >=1024px) {
       font-size: var(--text-base);
    }
}

.nds-history .swiper-pagination-bullet:before {
    display: block;
    margin: -6px auto 0.5rem auto;
    width: 10px;
    height: 10px;
    background: var(--color-white);
    border-radius: 50%;
    content: '';

    transition:
        width 0.3s ease,
        height 0.3s ease,
        margin 0.3s ease,
        background 0.3s ease;
}

.nds-history .swiper-pagination-bullet:hover:before {
	background: var(--color-secondary);
}

.nds-history .swiper-pagination-bullet:hover, 
.nds-history .swiper-pagination-bullet.swiper-pagination-bullet-active {
    color: var(--color-secondary);
}

.nds-history .swiper-pagination-bullet.swiper-pagination-bullet-active:before {
    margin-top: -12px;
    width: 20px;
    height: 20px;
    background: var(--color-secondary);
}

/* About Us Page Content*/
.page-about-us {
	overflow-x: hidden;
}

.block-about > .wp-block-group {
	padding-top: 3.2rem;
	padding-bottom: 2.4rem;
	padding-inline: 0;

	@media (width >=768px) {
		padding-top: 8.8rem;
		padding-bottom: 11.4rem;
    }
}

.block-about .container {
	max-width: 1170px;
	text-align: center;
}

.block-about h1.wp-block-heading {
	max-width: 815px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 1.4rem;
	color: var(--color-primary);
	font-size: var(--text-2xl);
	letter-spacing: -0.06rem;
	line-height: 1.1;

	@media (width >=1024px) {
		margin-bottom: 2.8rem;
		font-size: var(--text-4xl);
		letter-spacing: 0.06rem;
    }
}

.block-about p {
	margin-bottom: 1rem;
    line-height: 1.38;

	@media (width >=1024px) {
		line-height: 1.6;
	}
}

.block-history {
	background-color: var(--color-primary);
	color: var(--color-white);
}

.block-history h3.wp-block-heading {
	padding-bottom: 1.6rem;
	color: var(--color-white);
	font-size: var(--text-lg);
	text-align: center;

	@media (width >=1024px) {
		padding-bottom: 6.3375rem;
		font-size: var(--text-xl);
    }
}

.block-history .wp-block-media-text__media {
	@media (width >=600px) {
		padding-right: 2rem;
    }

	@media (width >=1024px) {
		padding-right: 4rem;
    }

	@media (width >=1800px) {
		padding-right: 8rem;
    }
}

.block-history .wp-block-media-text__media img {
	max-width: 346px;
}

.block-history .wp-block-media-text__media .image-wrapper {
	display: flex;
	justify-content: center;

	@media (width >=600px) {
		justify-content: right;
    }
}

.block-history .wp-block-media-text__content {
	margin-top: 1rem;
	padding-left: 0.2rem;
	padding-right: 0;
	max-width: 420px;

	@media (width >=600px) {
		padding-left: 0.6rem;
    }

	@media (width >=1024px) {
      margin-top: -1rem;
    }
}

.block-history .block-year {
	display: block;
	color: var(--color-secondary);
	font-size: var(--text-2xl);
	font-weight: var(--font-weight-bold);
	margin-top: 2rem;
	margin-bottom: 3rem;

	@media (width >=600px) {
		font-size: var(--text-3xl);
		margin-top: 0;
		margin-bottom: 2.6rem;
    }
}

.block-history .block-story {
	position: relative;
	padding-left: 1.3rem;
	border-left: 1px solid var(--color-secondary);
	line-height: 1.5rem;

	@media (width >=600px) {
		line-height: 1.6rem;
		font-size: var(--text-md);
		padding-left: 0.6rem;
    }
}

.block-history .nds-about-us-slider {
	@media (width >=600px) {
		padding-bottom: 4.8rem;
	}

	@media (width >=1024px) {
		padding-bottom: 7.8rem;
    }
} 

.block-history .swiper-pagination.swiper-pagination-bullets {
    bottom: -2.4rem;

	@media (width >=600px) {
		bottom: -1.5rem;
    }
}

.block-history .swiper-pagination:before,
.block-history .swiper-pagination:after {
	position: absolute;
	top: -3px;
	height: 3px;
	width: 100%;
	background: var(--color-white);
	content: '';
}

.block-history .swiper-pagination:before {
	left: -100%;
}

.block-history .swiper-pagination:after {
	right: -100%;
}

.block-why-choose-us {
	background: var(--color-base-light);
}

.block-why-choose-us .container {
	max-width: 1400px;
}

.block-why-choose-us .container h3.wp-block-heading {
	color: var(--color-primary);
	font-size: var(--text-lgplus);
	text-align: center;

	@media (width >=1024px) {
		margin-top: 1rem;
		font-size: var(--text-3xl);
		text-align: left;
    }
}

.block-why-choose-us .container p {
	margin-bottom: 1.5rem;
	line-height: 1.4;
	text-align: center;
	
	@media (width >=1024px) {
		line-height: var(--base-line-height);
		text-align: left;
    }
}

.block-why-choose-us .block-columns-top {
	margin-top: 2rem;

	@media (width >=1024px) {
		margin-top: 5rem;
    }
}

.block-why-choose-us .block-columns-bottom {
	@media (width >=1024px) {
		margin-top: 4rem;
    }
}

.block-why-choose-us .wp-block-column .wp-block-media-text__media {
	align-self: auto;
}

.block-why-choose-us .wp-block-column .wp-block-media-text {
	grid-template-columns: 2.5rem 1fr;
}

.block-why-choose-us .wp-block-column .wp-block-media-text__content {
	padding-left: 1rem;
	max-width: 22rem;
}

.block-why-choose-us .wp-block-column .wp-block-media-text__content p {
	text-align: left;
}

.block-why-choose-us .wp-block-column .wp-block-media-text__content p:last-child {
	margin-bottom: 0;
}

.block-working-with-you h3.wp-block-heading {
	margin-top: 2.7rem;
	color: var(--color-primary);
	font-size: var(--text-lgplus);
	line-height: 1.6;

	@media (width >=1024px) {
        margin-top: 0;
		font-size: 1.75rem;
		line-height: var(--text-3xl--line-height);
    }
}

.block-working-with-you .wp-block-media-text {
	grid-template-columns: 26.875rem 1fr;
	padding-top: 1.5rem;
    padding-bottom: 0.7rem;

	@media (width >=1800px) {
        grid-template-columns: 34.3rem 1fr;
    }
}

.block-working-with-you .wp-block-media-text img {
	max-width: 26.875rem;
	margin-left: auto;
	margin-right: auto;
}

.block-working-with-you .wp-block-media-text__content {
	padding-inline: 0;

	@media (width >=1400px) {
		max-width: 600px;
        padding-left: 7.6rem;
    }
}

.block-working-with-you .wp-block-media-text__content p {
	margin-bottom: 1rem;
}
